Skip to main content
`Ctrl`+`K`

# numpy.polynomial.polynomial.polymul

polynomial.polynomial.polymul(c1, c2)

  Multiply one polynomial by another.

  Returns the product of two polynomials c1 * c2. The arguments are sequences of coefficients, from lowest order term to highest, e.g., [1,2,3] represents the polynomial `1 + 2*x + 3*x**2.`

  Parameters:
    c1, c2 array_like

      1-D arrays of coefficients representing a polynomial, relative to the “standard” basis, and ordered from lowest order term to highest.

  Returns:
    out ndarray

      Of the coefficients of their product.

  See also

  `polyadd`, `polysub`, `polymulx`, `polydiv`, `polypow`

  Examples

      >>> from numpy.polynomial import polynomial as P
      >>> c1 = (1, 2, 3)
      >>> c2 = (3, 2, 1)
      >>> P.polymul(c1, c2)
      array([  3.,   8.,  14.,   8.,   3.])